For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList group quote intents
      • POSTCreate a group quote intent
      • GETRetrieve a group quote intent
      • GETList requirements for a group quote intent
      • GETRetrieve the quote for a group quote intent
      • POSTReject a group quote intent
    • API Errors
Get access
LogoLogo
API ReferenceGroup Quote Intents

Create a group quote intent

POST
/group_quote_intents
POST
/group_quote_intents
$curl -X POST https://test.api.kota.io/group_quote_intents \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "group_id": "gr_9f8b7c6d5e4a3b2c1d0e9f8a7b6c5d4e",
> "plan_id": "pl_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p"
>}'
1{
2 "id": "gqi_4e5d6c7b8a9f0e1d2c3b4a5f6e7d8c9b",
3 "group_id": "gr_9f8b7c6d5e4a3b2c1d0e9f8a7b6c5d4e",
4 "plan_id": "pl_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p",
5 "status": "processing",
6 "consent_links": [
7 {
8 "type": "terms_of_business",
9 "url": "https://kota.io/consents/terms-of-business-v2.pdf",
10 "version": "v2.0"
11 }
12 ],
13 "disclosures": [
14 {
15 "category": "regulatory",
16 "type": "intermediary_role",
17 "text": "This intermediary acts as a broker and does not underwrite the insurance policies."
18 }
19 ],
20 "object": "group_quote_intent"
21}

Creates a group_quote_intent to request a quote for a group and plan combination. The intent coordinates the quote workflow including requirements collection and quote generation.

Previous

List group quote intents

Next

Retrieve a group quote intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Request

This endpoint expects an object.
group_idstringRequiredformat: "gr_.+"
Unique identifier for the group to get a quote for
plan_idstringRequiredformat: "pl_.+"
Unique identifier for the plan to get a quote for
cost_sharingobjectOptional
Cost sharing configuration for the quote
coverage_selectionslist of objects or nullOptional

Plan coverage option selections for group-policy-scoped configurations.

Response

OK
idstringformat: "gqi_.+"
Unique identifier for the group quote intent
group_idstringformat: "gr_.+"
Unique identifier for the group
plan_idstringformat: "pl_.+"
Unique identifier for the plan
statusenum
Current status of the group quote intent
consent_linkslist of objects
Consent links that need to be acknowledged
disclosureslist of objects
Disclosures associated with this intent.
cost_sharingobject
Cost sharing configuration for the quote
objectstringRead-only
Object type identifier

Errors

400
Bad Request Error
404
Not Found Error